<html>
<head>
<title>OGRE: Ogre::IndexData Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1IndexData.html">IndexData</a></div>
<h1>Ogre::IndexData Class Reference</h1><!-- doxytag: class="Ogre::IndexData" -->Summary class collecting together index data source information.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1IndexData-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IndexData.html#79242aa4c8893016a56d2cc13a10f803">IndexData</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IndexData.html#952375c947bc66a7bc98fa1e20ac1e3d">~IndexData</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IndexData.html#b024002a13ae636494d83c55cdb0d97b">clone</a> (bool copyData=true) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clones this index data, potentially including replicating the index buffer.  <a href="#b024002a13ae636494d83c55cdb0d97b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IndexData.html#0c19f7fc00c66266fd0d7fe671733112">optimiseVertexCacheTriList</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible.  <a href="#0c19f7fc00c66266fd0d7fe671733112"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IndexData.html#1a9f241fbc57ce4cce5615302da71b76">indexBuffer</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">pointer to the <a class="el" href="classOgre_1_1HardwareIndexBuffer.html" title="Specialisation of HardwareBuffer for vertex index buffers, still abstract.">HardwareIndexBuffer</a> to use, must be specified if useIndexes = true  <a href="#1a9f241fbc57ce4cce5615302da71b76"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IndexData.html#7cd3d6f7d4af3271bfae8ce49f46ff3a">indexStart</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">index in the buffer to start from for this operation  <a href="#7cd3d6f7d4af3271bfae8ce49f46ff3a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IndexData.html#fad8ae9cec6cab5c8c07ee5532dd89c5">indexCount</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of indexes to use from the buffer.  <a href="#fad8ae9cec6cab5c8c07ee5532dd89c5"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IndexData.html#023f49852cc8fba291a1a9f503764152">IndexData</a> (const <a class="el" href="classOgre_1_1IndexData.html">IndexData</a> &amp;rhs)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Protected copy constructor, to prevent misuse.  <a href="#023f49852cc8fba291a1a9f503764152"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IndexData.html#08123703bd41086056399dfb69d9b0a9">operator=</a> (const <a class="el" href="classOgre_1_1IndexData.html">IndexData</a> &amp;rhs)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Protected operator=, to prevent misuse.  <a href="#08123703bd41086056399dfb69d9b0a9"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Summary class collecting together index data source information. 
<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00208">208</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="023f49852cc8fba291a1a9f503764152"></a><!-- doxytag: member="Ogre::IndexData::IndexData" ref="023f49852cc8fba291a1a9f503764152" args="(const IndexData &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::IndexData::IndexData           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1IndexData.html">IndexData</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Protected copy constructor, to prevent misuse. 
<p>

</div>
</div><p>
<a class="anchor" name="79242aa4c8893016a56d2cc13a10f803"></a><!-- doxytag: member="Ogre::IndexData::IndexData" ref="79242aa4c8893016a56d2cc13a10f803" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::IndexData::IndexData           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="952375c947bc66a7bc98fa1e20ac1e3d"></a><!-- doxytag: member="Ogre::IndexData::~IndexData" ref="952375c947bc66a7bc98fa1e20ac1e3d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::IndexData::~IndexData           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="08123703bd41086056399dfb69d9b0a9"></a><!-- doxytag: member="Ogre::IndexData::operator=" ref="08123703bd41086056399dfb69d9b0a9" args="(const IndexData &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a>&amp; Ogre::IndexData::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1IndexData.html">IndexData</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Protected operator=, to prevent misuse. 
<p>

</div>
</div><p>
<a class="anchor" name="b024002a13ae636494d83c55cdb0d97b"></a><!-- doxytag: member="Ogre::IndexData::clone" ref="b024002a13ae636494d83c55cdb0d97b" args="(bool copyData=true) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1IndexData.html">IndexData</a>* Ogre::IndexData::clone           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>copyData</em> = <code>true</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clones this index data, potentially including replicating the index buffer. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>The caller is expected to delete the returned pointer when finished </dd></dl>

</div>
</div><p>
<a class="anchor" name="0c19f7fc00c66266fd0d7fe671733112"></a><!-- doxytag: member="Ogre::IndexData::optimiseVertexCacheTriList" ref="0c19f7fc00c66266fd0d7fe671733112" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::IndexData::optimiseVertexCacheTriList           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Can only be used for index data which consists of triangle lists. It would in fact be pointless to use it on triangle strips or fans in any case. </dd></dl>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="1a9f241fbc57ce4cce5615302da71b76"></a><!-- doxytag: member="Ogre::IndexData::indexBuffer" ref="1a9f241fbc57ce4cce5615302da71b76" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareIndexBufferSharedPtr.html">HardwareIndexBufferSharedPtr</a> <a class="el" href="classOgre_1_1IndexData.html#1a9f241fbc57ce4cce5615302da71b76">Ogre::IndexData::indexBuffer</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
pointer to the <a class="el" href="classOgre_1_1HardwareIndexBuffer.html" title="Specialisation of HardwareBuffer for vertex index buffers, still abstract.">HardwareIndexBuffer</a> to use, must be specified if useIndexes = true 
<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00219">219</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7cd3d6f7d4af3271bfae8ce49f46ff3a"></a><!-- doxytag: member="Ogre::IndexData::indexStart" ref="7cd3d6f7d4af3271bfae8ce49f46ff3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1IndexData.html#7cd3d6f7d4af3271bfae8ce49f46ff3a">Ogre::IndexData::indexStart</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
index in the buffer to start from for this operation 
<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00222">222</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fad8ae9cec6cab5c8c07ee5532dd89c5"></a><!-- doxytag: member="Ogre::IndexData::indexCount" ref="fad8ae9cec6cab5c8c07ee5532dd89c5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1IndexData.html#fad8ae9cec6cab5c8c07ee5532dd89c5">Ogre::IndexData::indexCount</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of indexes to use from the buffer. 
<p>

<p>Definition at line <a class="el" href="OgreVertexIndexData_8h-source.html#l00225">225</a> of file <a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreVertexIndexData_8h-source.html">OgreVertexIndexData.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:55:09 2008
</p>
</body>
</html>
